Retrieves the project with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
project| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| _parent_id |
Reference to a parent installation |
globally unique identifier | |
| root_parent_id |
This field will be filled automatically based on the parent_id |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "project" for parent installation using ERP PK when adding/updating project |
string | |
| _parent_project |
Embedded entity "project" for parent installation when adding/updating project |
project | |
| equipment_family_id |
Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating project |
string | |
| equipment_family |
Embedded entity "equipment_family" when adding/updating project |
equipment_family | |
| equipment_model_id |
Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model |
globally unique identifier | |
| equipment_model_code |
Embedded entity "equipment_model" using ERP PK when adding/updating project |
string | |
| equipment_model |
Embedded entity "equipment_model" when adding/updating project |
equipment_model | |
| project_status_id |
Foreign key to project_status |
globally unique identifier |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| project_status_code |
Embedded entity "project_status" using ERP PK when adding/updating project |
string |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| project_status |
Embedded entity "project_status" when adding/updating project |
project_status |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| company_id |
The company owner of this project/installation |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating project |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating project |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_id |
Specific db_address_id of the %company_id% if different than the company default address |
globally unique identifier | |
| db_address_code |
Embedded entity "db_address" using ERP PK when adding/updating project |
string | |
| db_address |
Embedded entity "db_address" when adding/updating project |
db_address | |
| location |
Additional text to describe the location |
string |
Max length: 255 |
| contact_id |
Main contact for this project/installation |
globally unique identifier | |
| contact_reference_back_office |
Embedded entity "contact" using ERP PK when adding/updating project |
string | |
| contact |
Embedded entity "contact" when adding/updating project |
contact | |
| owner_user_id |
User owner/manager of this project/installation |
globally unique identifier | |
| name |
Name of the project/installation |
string |
Required Max length: 50 |
| description |
Long description |
string | |
| reference_back_office |
The Id/Ref of the back office for this project/installation. Used by Embedded entity |
string |
Max length: 255 |
| serial_number |
Serial number |
string |
Max length: 255 |
| barcode |
Barcode |
string |
Max length: 50 |
| date_start_production |
Date project/installation becomes active |
date | |
| date_create |
Creation date+time |
date | |
| date_update |
Update date+time |
date | |
| updated_by_user_id |
Last User that updates the object |
globally unique identifier | |
| customer_reference |
Reference of this project/installation for the customer |
string |
Max length: 50 |
| warranty_date_until |
End date of the warranty (if applicable) |
date | |
| last_standard_result_score_1 |
Last result score 1 (CF Standard module) |
string |
Max length: 50 |
| last_standard_result_score_2 |
Last result score 2 (CF Standard module) |
string | |
| target_standard_result_score_1 |
Target result score 1 (CF Standard module) |
string |
Max length: 50 |
| target_standard_result_score_2 |
Target result score 2 (CF Standard module) |
string |
Max length: 50 |
| date_built |
Build date of the installation (if applicable) |
date | |
| shutdown_consequence |
Consequence of the installation is shut down (CEO has no air cooling anymore,..) |
string |
Max length: 4000 |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer | |
| nb_open_jobs |
Readonly - Number of open jobs |
integer | |
| date_next_job |
Date+time of the next job planned |
date | |
| date_last_job |
Date+time of the last job completed |
date | |
| nb_jobs_planned |
Number of jobs with status Planned |
integer | |
| nb_jobs_tobeplanned |
Number of jobs with status To Be Planned |
integer | |
| nb_jobs_waitingfurtheraction |
Number of jobs with status Waiting Further Action |
integer | |
| back_office_timestamp |
Back Office timestamp value (conflict detection purpose) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| is_mobile_installation |
Set it TRUE if this is a mobile installation. |
boolean |
Response Formats
application/json, text/json
{
"id": "5a302f88-8a22-4cc8-820a-6f0f3c830ab3",
"_parent_id": "f37091e7-cf27-4f66-99ca-96094eb67b11",
"root_parent_id": "f56d9740-045e-4b00-b8e9-5ab7940bf16b",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "cf99ba48-9f25-42ec-b426-ece178d8bc7c",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "2748b11c-9a6f-493b-a2d3-1d3221d9242b",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "d6f0a985-c385-44cd-a1aa-572d928e1233",
"_parent_code": "sample string 6",
"sales_organization_id": "3e97d843-7975-464d-aadb-b6366c717316",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "ba8d547e-b745-4333-b478-e219bd340d5a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b867a121-b8ef-400c-813b-85bb56465e88",
"db_currency_id": "46511509-e63b-4c63-9e2b-1e0d17f0eec0",
"db_language_id": "97cd790b-ed88-4743-ba70-5501469dbe43",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"equipment_model_id": "72d67e44-c8a3-4246-b5e0-8454045b74df",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "d3e9ce3e-a3ea-4115-8172-fb3b515cea4f",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "80a26616-60f9-4eb9-aace-eae70ac844fb",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "b11ebd9f-df5c-46c7-a6df-b27abcd4695a",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "236985a9-2a91-4a4b-82a7-0d7a091bdbd5",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "ba8d547e-b745-4333-b478-e219bd340d5a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b867a121-b8ef-400c-813b-85bb56465e88",
"db_currency_id": "46511509-e63b-4c63-9e2b-1e0d17f0eec0",
"db_language_id": "97cd790b-ed88-4743-ba70-5501469dbe43",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"equipment_family_id": "a75bbe5f-5fbd-4ce3-892a-dba7b78a1c86",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "2748b11c-9a6f-493b-a2d3-1d3221d9242b",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "d6f0a985-c385-44cd-a1aa-572d928e1233",
"_parent_code": "sample string 6",
"sales_organization_id": "3e97d843-7975-464d-aadb-b6366c717316",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "ba8d547e-b745-4333-b478-e219bd340d5a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b867a121-b8ef-400c-813b-85bb56465e88",
"db_currency_id": "46511509-e63b-4c63-9e2b-1e0d17f0eec0",
"db_language_id": "97cd790b-ed88-4743-ba70-5501469dbe43",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"date_in_production_since": "2026-11-05T11:51:19.6804579+00:00",
"date_out_of_production_since": "2026-11-05T11:51:19.6804579+00:00",
"date_end_support": "2026-11-05T11:51:19.6804579+00:00",
"sales_organization_id": "8fe540d5-cdab-45bc-9440-504c70462c9a",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "ba8d547e-b745-4333-b478-e219bd340d5a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b867a121-b8ef-400c-813b-85bb56465e88",
"db_currency_id": "46511509-e63b-4c63-9e2b-1e0d17f0eec0",
"db_language_id": "97cd790b-ed88-4743-ba70-5501469dbe43",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"project_status_id": "646e2acd-9222-46b8-bdcd-6e0621244370",
"project_status_code": "sample string 10",
"project_status": {
"id": "07896b39-a043-4432-ad35-64fb658200ec",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "a353bc5f-11e2-443b-a84d-b57bf3976ced",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "ba8d547e-b745-4333-b478-e219bd340d5a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b867a121-b8ef-400c-813b-85bb56465e88",
"db_currency_id": "46511509-e63b-4c63-9e2b-1e0d17f0eec0",
"db_language_id": "97cd790b-ed88-4743-ba70-5501469dbe43",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-05T11:51:19.6804579+00:00"
},
"company_id": "34edf6c4-c754-487b-8d6c-5194a61d915b",
"company_code": "sample string 12",
"db_address_id": "ed475193-dfc7-4dc6-a35e-ecb193bb4f0b",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "963b0c6c-fcd6-498d-a91a-299f5e35cc22",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "599c2426-83e8-4509-ad65-24c062aac513",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-05T11:51:19.6804579+00:00",
"date_create": "2026-11-05T11:51:19.6804579+00:00",
"date_update": "2026-11-05T11:51:19.6804579+00:00",
"updated_by_user_id": "a0d930f8-5840-4403-98dd-7b078f2313e3",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-05T11:51:19.6804579+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-05T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-05T11:51:19.6804579+00:00",
"date_last_job": "2026-11-05T11:51:19.6804579+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-05T11:51:19.6959486+00:00",
"modified_dateutc": "2026-11-05T11:51:19.6959486+00:00",
"is_mobile_installation": true
}